Change goal status
curl --request POST \
--url https://api.darwin.so/api/v1/goals/{id}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.darwin.so/api/v1/goals/{id}/actions"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.darwin.so/api/v1/goals/{id}/actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"id": "<string>",
"agentId": "<string>",
"title": "<string>",
"intent": "<string>",
"cadence": {},
"targeting": {},
"context": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"accessPolicyId": "<string>",
"pausedUntil": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"publication": {}
}
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Goals
Change goal status
Draft goals can activate or archive; active goals can pause, complete, or archive; paused goals can resume, complete, or archive; completed goals can only archive.
POST
/
goals
/
{id}
/
actions
Change goal status
Authorizations
User keys begin with darwin_. Application service-account keys begin with darwin_sa_ and are restricted to linked agents.
Path Parameters
Body
application/json
Response
The transitioned goal.
Show child attributes
Show child attributes
⌘I